//client.cs
exec("./WOB_useskillclient.cs");
exec("./client_WOBINV.cs");
exec("./client_WOBSHOP.cs");
exec("./client_WOBMAIN.cs");
exec("./client_WOBcapture.cs");
exec("./client_WOBPERK.cs");
exec("./client_WOBSPL.cs");
exec("./client_WOBSTAT.cs");

//NOTICE: If you mess with this you may not be able to join WOB servers
$Cl_WOB_BaseVersion=1;

function clientcmdWOB_versionreceive(%ver){
	if(!%ver){
		$Cl_serverrunningWOB=0;
		return;//server is not running WOB so lets disable the GUIs
	}
	if(%ver<$Cl_WOB_BaseVersion){
		//server is running an outdated version, this could lead to issues.
		disconnect();
		messageboxok("WOB Version Conflict","The server is running [OUTDATED] files." NL "The server will be inaccessable until the host updates his files.");
		return;
	}
	if(%ver>$Cl_WOB_BaseVersion){
		//client is running outdated files
		disconnect();
		messageboxok("WOB Version Conflict","You are running [OUTDATED] files." NL "The server will be inaccessable until you update your client files." NL "It is possible that the server is running a test of future client files that have not been released yet.");
		return;
	}
	if(%ver==$CL_WOB_BaseVersion){
		$CL_serverrunningWOB=1;
	}
}
//End of NOTICE

if (!$addedwobinventMaps)
{
	$remapDivision[$remapCount] = "WOB";
	$remapName[$remapCount] = "Toggle Wob Main";
	$remapCmd[$remapCount] = "togglewobmainWindow";
	$remapCount++;
	$remapName[$remapCount] = "Toggle Inventory List";
	$remapCmd[$remapCount] = "togglewobinvWindow";
	$remapCount++;
	$remapName[$remapCount] = "Toggle Perk List";
	$remapCmd[$remapCount] = "togglewobperkWindow";
	$remapCount++;
	$remapName[$remapCount] = "Toggle Stat List";
	$remapCmd[$remapCount] = "togglewobstatWindow";
	$remapCount++;
	$remapName[$remapCount] = "Toggle Spell List";
	$remapCmd[$remapCount] = "togglewobsplWindow";
	$remapCount++;
	$remapName[$remapCount] = "Toggle Shop List";
	$remapCmd[$remapCount] = "togglewobshopWindow";
	$remapCount++;

	$remapDivision[$remapCount]="WOBskills";
	$remapName[$remapCount] = "Use Skill 1";
	$remapCmd[$remapCount] = "RPG_useskill_1";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 2";
	$remapCmd[$remapCount] = "RPG_useskill_2";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 3";
	$remapCmd[$remapCount] = "RPG_useskill_3";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 4";
	$remapCmd[$remapCount] = "RPG_useskill_4";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 5";
	$remapCmd[$remapCount] = "RPG_useskill_5";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 6";
	$remapCmd[$remapCount] = "RPG_useskill_6";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 7";
	$remapCmd[$remapCount] = "RPG_useskill_7";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 8";
	$remapCmd[$remapCount] = "RPG_useskill_8";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 9";
	$remapCmd[$remapCount] = "RPG_useskill_9";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 10";
	$remapCmd[$remapCount] = "RPG_useskill_10";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 11";
	$remapCmd[$remapCount] = "RPG_useskill_11";
	$remapCount++;
	$remapName[$remapCount] = "Use Skill 12";
	$remapCmd[$remapCount] = "RPG_useskill_12";
	$remapCount++;
	$addedwobinventMaps = true;
}